Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 712200 - sci-misc/mendeleydesktop depends on deprecated dev-qt/qtwebkit:5
Summary: sci-misc/mendeleydesktop depends on deprecated dev-qt/qtwebkit:5
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: qtwebkit-removal
  Show dependency tree
 
Reported: 2020-03-11 23:15 UTC by Andreas Sturmlechner
Modified: 2020-12-17 23:05 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2020-03-11 23:15:41 UTC
QtWebKit's time is limited now.
Comment 1 Alexey Shvetsov gentoo-dev 2020-05-01 10:18:35 UTC
It may be not a good idea, but mendeley has bundled qt. So it can be switched to use it.
Comment 2 Johannes Hirte 2020-05-07 10:21:45 UTC
I don't see qtwebkit in the bundled mendeley-archive. It seems the dep is gone.
Comment 3 libo huang 2020-06-03 04:35:09 UTC
QtWebEngine::initialize() called with QCoreApplication object already created and should be call before. This is depreciated and may fail in the future.
Use of deprecated not thread-safe setter, use setUrlRequestInterceptor instead.
Cannot mix incompatible Qt library (5.10.1) with this library (5.15.0)
Crash handler wrote minidump /home/omen/.local/share/data/Mendeley Ltd./Mendeley Desktop/minidumps/2d1455cc-d1a5-87a0-57deacf2-3a67d4db.dmp
Comment 4 Pacho Ramos gentoo-dev 2020-11-19 19:22:22 UTC
in Arch they depend on qtwebengine
https://aur.archlinux.org/packages/mendeleydesktop/
Comment 5 Larry the Git Cow gentoo-dev 2020-12-17 23:05:26 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=02203e3b21e08192deee5677b1d89b14f664a600

commit 02203e3b21e08192deee5677b1d89b14f664a600
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-12-17 23:03:46 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-12-17 23:05:16 +0000

    sci-misc/mendeleydesktop: Remove last-rited package
    
    Closes: https://bugs.gentoo.org/712200
    Closes: https://bugs.gentoo.org/725388
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 profiles/package.mask                              |   5 -
 sci-misc/mendeleydesktop/Manifest                  |   2 -
 .../files/mendeleydesktop-1.17.8-libdir.patch      |  19 ---
 .../files/mendeleydesktop-1.17.8-qt5plugins.patch  |  15 ---
 .../mendeleydesktop-1.17.8-unix-distro-build.patch |  16 ---
 .../mendeleydesktop/mendeleydesktop-1.19.6.ebuild  | 127 ---------------------
 sci-misc/mendeleydesktop/metadata.xml              |  10 --
 7 files changed, 194 deletions(-)